<?php
// error_reporting(0);
header('Content-type: application/json');
date_default_timezone_set("Asia/Bangkok");

function get_data($url)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.117 Safari/537.36");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_MAXREDIRS, 10);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
    $data = curl_exec($ch);
    curl_close($ch);
    return $data;
}

function GetToday()
{
    $url = 'https://www.euluckynumber.com/result';
    $variable = get_data($url);
    $obj = json_decode($variable);
    $data = array(
        "lotto_date"            => $obj->lotto_date,
        "lottery_loop_name"     => "🇪🇺หวยยูโร🇪🇺",
        "lotto_three"           => substr($obj->prize_1st,2,3),
        "lotto_two"             => substr($obj->prize_2nd,3,2),
        
    );
    
    return $data;
}

function GetHistory()
{
    # code...
    $data = [];
    $objR = GetToday();
    $url = 'https://www.euluckynumber.com/lastprize';
    $variable = get_data($url);
    $obj = json_decode($variable);
    foreach ($obj as $value) {
        array_push($data, [
            "lotto_date"            => $value->lotto_date,
            "lotto_three"           => substr($value->prize_1st,2,3),
            "lotto_two"             => substr($value->prize_2nd,3,2),
        ]);
    }
    // $newData = array_reverse($data);

    if ($objR['lotto_date'] != date('d/m/Y')) {
        # code...
        array_push($data, [
            "lotto_date"            => date('d/m/Y'),
        	"lottery_loop_name"     => "🇪🇺หวยยูโร🇪🇺",
        	"lotto_three"           => 'xxx',
        	"lotto_two"             => 'xx',
        ]);
    } elseif ($objR['lotto_date'] == date('Y-m-d')) {
        # code...
        array_push($data, [
            "lotto_date"            => $objR['lotto_date'],
        	"lottery_loop_name"     => "🇪🇺หวยยูโร🇪🇺",
        	"lotto_three"           => $objR['lotto_three'],
        	"lotto_two"             => $objR['lotto_two'],
        ]);
    }
    return $data;
}


function DateThai($str_dt) {
    $date = str_replace('/', '-', $str_dt);
    $strDate = date('Y-m-d', strtotime($date));
	$strYear 		= date("Y",strtotime($strDate))+543;
	$strMonth 		= date("n",strtotime($strDate));
	$strDay 		= date("j",strtotime($strDate));
	$strHour 		= date("H",strtotime($strDate));
	$strMinute 		= date("i",strtotime($strDate));
	$strSeconds 	= date("s",strtotime($strDate));
	$strMonthCut 	= Array("","/ม.ค/","/ก.พ/","/มี.ค/","/เม.ย/","/พ.ค/","/มิ.ย/","/ก.ค/","/ส.ค/","/ก.ย/","/ต.ค/","/พ.ย/","/ธ.ค/");
	$strMonthThai	= $strMonthCut[$strMonth];
    return $strDay.$strMonthThai.substr($strYear,2);
}

function FilterData(){
    $result            = GetHistory();
    $filterData = array_reverse($result);	
    $jsonloop           = [];

	array_push($jsonloop,[
		"lottery_name"       	=> $filterData[0]['lottery_loop_name'],
    	// "lottery_loop_15"       => DateThai($filterData[14]['lotto_date']).' ➡️ '. $filterData[14]['lotto_three'].' - '. $filterData[14]['lotto_two'],
    	// "lottery_loop_14"       => DateThai($filterData[13]['lotto_date']).' ➡️ '. $filterData[13]['lotto_three'].' - '. $filterData[13]['lotto_two'],
    	// "lottery_loop_13"       => DateThai($filterData[12]['lotto_date']).' ➡️ '. $filterData[12]['lotto_three'].' - '. $filterData[12]['lotto_two'],
    	// "lottery_loop_12"       => DateThai($filterData[11]['lotto_date']).' ➡️ '. $filterData[11]['lotto_three'].' - '. $filterData[11]['lotto_two'],
		// "lottery_loop_11"       => DateThai($filterData[10]['lotto_date']).' ➡️ '. $filterData[10]['lotto_three'].' - '. $filterData[10]['lotto_two'],
		// "lottery_loop_10"       => DateThai($filterData[9]['lotto_date']).' ➡️ '. $filterData[9]['lotto_three'].' - '. $filterData[9]['lotto_two'],
		// "lottery_loop_09"       => DateThai($filterData[8]['lotto_date']).' ➡️ '. $filterData[8]['lotto_three'].' - '. $filterData[8]['lotto_two'],
		"lottery_loop_08"       => DateThai($filterData[7]['lotto_date']).' ➡️ '. $filterData[7]['lotto_three'].' - '. $filterData[7]['lotto_two'],
		"lottery_loop_07"       => DateThai($filterData[6]['lotto_date']).' ➡️ '. $filterData[6]['lotto_three'].' - '. $filterData[6]['lotto_two'],
		"lottery_loop_06"       => DateThai($filterData[5]['lotto_date']).' ➡️ '. $filterData[5]['lotto_three'].' - '. $filterData[5]['lotto_two'],
		"lottery_loop_05"       => DateThai($filterData[4]['lotto_date']).' ➡️ '. $filterData[4]['lotto_three'].' - '. $filterData[4]['lotto_two'],
		"lottery_loop_04"       => DateThai($filterData[3]['lotto_date']).' ➡️ '. $filterData[3]['lotto_three'].' - '. $filterData[3]['lotto_two'],
	    "lottery_loop_03"       => DateThai($filterData[2]['lotto_date']).' ➡️ '. $filterData[2]['lotto_three'].' - '. $filterData[2]['lotto_two'],
		"lottery_loop_02"       => DateThai($filterData[1]['lotto_date']).' ➡️ '. $filterData[1]['lotto_three'].' - '. $filterData[1]['lotto_two'],
        "lottery_loop_01"       => DateThai($filterData[0]['lotto_date']).' ➡️ '. $filterData[0]['lotto_three'].' - '. $filterData[0]['lotto_two'],
	 ]);
	return $jsonloop;

}

$ress = FilterData();
echo json_encode($ress);

