<?php
// error_reporting(0);
header('Content-type: application/json');
date_default_timezone_set("Asia/Bangkok");
define("_stock_name_", "ฮานอยอาเซียน");

function get_data($url)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.117 Safari/537.36");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_MAXREDIRS, 10);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
    $data = curl_exec($ch);
    curl_close($ch);
    return $data;
}

function GetToday()
{
    $data = array(
        "lotto_date"            => $obj->data->lotto_date,
        "lottery_loop_name"     => "🇻🇳ฮานอยอาเซียน🇻🇳",
        "lotto_three"           => $obj->data->results->digit3,
        "lotto_two"             => $obj->data->results->digit2_bottom,
    );
    return $data;
}

function GetHistory()
{
    $url                = 'https://lottohub.co/hanoiasean';
    $variable           = get_data($url);
    $start              = strpos($variable, '<h1>ผลหวยฮานอยอาเซียนย้อนหลัง</h1>');
    $start_cut          = substr($variable, $start);
    $stop               = strpos($start_cut, '<div id="footer">');
    $sub                = substr($start_cut, 0, $stop);
    $FilterHTML         = strip_tags($sub);
    $data               = explode("\n", $FilterHTML);
    $trimmedArray       = array_map('trim', $data);
    $jsondata           = [];
    $_date = 12;
    $_3n = 14;
    $_2n = 15;

    for ($n=0; $n <= 14; $n++) { 
        array_push($jsondata, [
            "lotto_date"            => $trimmedArray[$_date],
            "lotto_three"           => $trimmedArray[$_3n],
            "lotto_two"             => $trimmedArray[$_2n]
        ]);

        $_date += 6;
        $_3n += 6;
        $_2n += 6;
    }
    return $jsondata;
}


function DateThai($strDate) {
	$strYear 		= date("Y",strtotime($strDate))+543;
	$strMonth 		= date("n",strtotime($strDate));
	$strDay 		= date("j",strtotime($strDate));
	$strHour 		= date("H",strtotime($strDate));
	$strMinute 		= date("i",strtotime($strDate));
	$strSeconds 	= date("s",strtotime($strDate));
	$strMonthCut 	= Array("","/ม.ค/","/ก.พ/","/มี.ค/","/เม.ย/","/พ.ค/","/มิ.ย/","/ก.ค/","/ส.ค/","/ก.ย/","/ต.ค/","/พ.ย/","/ธ.ค/");
	$strMonthThai	= $strMonthCut[$strMonth];
    return $strDay.$strMonthThai.substr($strYear,2);
}

function FilterData(){
    // $result             = GetToday();
    $resultH            = GetHistory();	
    // print_r($result);
    // print_r($resultH);
    $filterData         = $resultH;
    $jsonloop           = [];

	array_push($jsonloop,[
		"lottery_name"       	=> _stock_name_,
    	"lottery_loop_15"       => $filterData[14]['lotto_date'].' ➡️ '. $filterData[14]['lotto_three'].' - '. $filterData[14]['lotto_two'],
    	"lottery_loop_14"       => $filterData[13]['lotto_date'].' ➡️ '. $filterData[13]['lotto_three'].' - '. $filterData[13]['lotto_two'],
    	"lottery_loop_13"       => $filterData[12]['lotto_date'].' ➡️ '. $filterData[12]['lotto_three'].' - '. $filterData[12]['lotto_two'],
    	"lottery_loop_12"       => $filterData[11]['lotto_date'].' ➡️ '. $filterData[11]['lotto_three'].' - '. $filterData[11]['lotto_two'],
		"lottery_loop_11"       => $filterData[10]['lotto_date'].' ➡️ '. $filterData[10]['lotto_three'].' - '. $filterData[10]['lotto_two'],
		"lottery_loop_10"       => $filterData[9]['lotto_date'].' ➡️ '. $filterData[9]['lotto_three'].' - '. $filterData[9]['lotto_two'],
		"lottery_loop_09"       => $filterData[8]['lotto_date'].' ➡️ '. $filterData[8]['lotto_three'].' - '. $filterData[8]['lotto_two'],
		"lottery_loop_08"       => $filterData[7]['lotto_date'].' ➡️ '. $filterData[7]['lotto_three'].' - '. $filterData[7]['lotto_two'],
		"lottery_loop_07"       => $filterData[6]['lotto_date'].' ➡️ '. $filterData[6]['lotto_three'].' - '. $filterData[6]['lotto_two'],
		"lottery_loop_06"       => $filterData[5]['lotto_date'].' ➡️ '. $filterData[5]['lotto_three'].' - '. $filterData[5]['lotto_two'],
		"lottery_loop_05"       => $filterData[4]['lotto_date'].' ➡️ '. $filterData[4]['lotto_three'].' - '. $filterData[4]['lotto_two'],
		"lottery_loop_04"       => $filterData[3]['lotto_date'].' ➡️ '. $filterData[3]['lotto_three'].' - '. $filterData[3]['lotto_two'],
	    "lottery_loop_03"       => $filterData[2]['lotto_date'].' ➡️ '. $filterData[2]['lotto_three'].' - '. $filterData[2]['lotto_two'],
		"lottery_loop_02"       => $filterData[1]['lotto_date'].' ➡️ '. $filterData[1]['lotto_three'].' - '. $filterData[1]['lotto_two'],
        "lottery_loop_01"       => $filterData[0]['lotto_date'].' ➡️ '. $filterData[0]['lotto_three'].' - '. $filterData[0]['lotto_two'],
	 ]);
	return $jsonloop;
}

$ress = FilterData();
echo json_encode($ress);

