<?php
// error_reporting(0);
header('Content-type: application/json');
date_default_timezone_set("Asia/Bangkok");
//https://api.laopatuxay.com/history

function get_data($url)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.117 Safari/537.36");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_MAXREDIRS, 10);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
    $data = curl_exec($ch);
    curl_close($ch);
    return $data;
}

function GetToday()
{
    $url = 'https://api.laopatuxay.com/result';
    $variable = get_data($url);
    $obj = json_decode($variable);
	if ($obj->data->lotto_date == date('Y-m-d')) {
    	$data = array(
            "lotto_date"            => $obj->data->lotto_date,
        	"lottery_loop_name"     => '🇱🇦ลาวประตูชัย🇱🇦',
        	"lottery_loop_3unit"    => $obj->data->results->digit3,
        	"lottery_loop_2unit"    => $obj->data->results->digit2_bottom,
    	);
    } else {
        $data = array(
            "lotto_date"            => $obj->data->lotto_date,
        	"lottery_loop_name"     => '🇱🇦ลาวประตูชัย🇱🇦',
        	"lottery_loop_3unit"    => 'xxx',
        	"lottery_loop_2unit"    => 'xx',
    	);
    }
    return $data;
}

function GetHistory()
{
    # code...
    $url = 'https://api.laopatuxay.com/history';
    $variable = get_data($url);
    $obj = json_decode($variable);
    $data = [];
    // print_r($obj->data);
    foreach ($obj->data as $value) {
        # code...
        // print_r($value);
        array_push($data, [
            "lotto_date"            => $value->lotto_date,
            "lotto_three"           => $value->results->digit3,
            "lotto_two"             => $value->results->digit2_bottom
        ]);
    }

    return $data;
}


function DateThai($strDate) {
	$strYear 		= date("Y",strtotime($strDate))+543;
	$strMonth 		= date("n",strtotime($strDate));
	$strDay 		= date("j",strtotime($strDate));
	$strHour 		= date("H",strtotime($strDate));
	$strMinute 		= date("i",strtotime($strDate));
	$strSeconds 	= date("s",strtotime($strDate));
	$strMonthCut 	= Array("","/ม.ค/","/ก.พ/","/มี.ค/","/เม.ย/","/พ.ค/","/มิ.ย/","/ก.ค/","/ส.ค/","/ก.ย/","/ต.ค/","/พ.ย/","/ธ.ค/");
	$strMonthThai	= $strMonthCut[$strMonth];
    return $strDay.$strMonthThai.substr($strYear,2);
}

function FilterData(){
    $result             = GetToday();
    $resultH            = GetHistory();	
    $filterData         = $resultH;
    $jsonloop           = [];

	array_push($jsonloop,[
		"lottery_name"       	=> $result['lottery_loop_name'],
    	"lottery_loop_15"       => DateThai($filterData[13]['lotto_date']).' ➡️ '. $filterData[13]['lotto_three'].' - '. $filterData[13]['lotto_two'],
    	"lottery_loop_14"       => DateThai($filterData[12]['lotto_date']).' ➡️ '. $filterData[12]['lotto_three'].' - '. $filterData[12]['lotto_two'],
    	"lottery_loop_13"       => DateThai($filterData[11]['lotto_date']).' ➡️ '. $filterData[11]['lotto_three'].' - '. $filterData[11]['lotto_two'],
    	"lottery_loop_12"       => DateThai($filterData[10]['lotto_date']).' ➡️ '. $filterData[10]['lotto_three'].' - '. $filterData[10]['lotto_two'],
		"lottery_loop_11"       => DateThai($filterData[9]['lotto_date']).' ➡️ '. $filterData[9]['lotto_three'].' - '. $filterData[9]['lotto_two'],
		"lottery_loop_10"       => DateThai($filterData[8]['lotto_date']).' ➡️ '. $filterData[8]['lotto_three'].' - '. $filterData[8]['lotto_two'],
		"lottery_loop_09"       => DateThai($filterData[7]['lotto_date']).' ➡️ '. $filterData[7]['lotto_three'].' - '. $filterData[7]['lotto_two'],
		"lottery_loop_08"       => DateThai($filterData[6]['lotto_date']).' ➡️ '. $filterData[6]['lotto_three'].' - '. $filterData[6]['lotto_two'],
		"lottery_loop_07"       => DateThai($filterData[5]['lotto_date']).' ➡️ '. $filterData[5]['lotto_three'].' - '. $filterData[5]['lotto_two'],
		"lottery_loop_06"       => DateThai($filterData[4]['lotto_date']).' ➡️ '. $filterData[4]['lotto_three'].' - '. $filterData[4]['lotto_two'],
		"lottery_loop_05"       => DateThai($filterData[3]['lotto_date']).' ➡️ '. $filterData[3]['lotto_three'].' - '. $filterData[3]['lotto_two'],
		"lottery_loop_04"       => DateThai($filterData[2]['lotto_date']).' ➡️ '. $filterData[2]['lotto_three'].' - '. $filterData[2]['lotto_two'],
	    "lottery_loop_03"       => DateThai($filterData[1]['lotto_date']).' ➡️ '. $filterData[1]['lotto_three'].' - '. $filterData[1]['lotto_two'],
		"lottery_loop_02"       => DateThai($filterData[0]['lotto_date']).' ➡️ '. $filterData[0]['lotto_three'].' - '. $filterData[0]['lotto_two'],
        "lottery_loop_01"       => DateThai($result['lotto_date']).' ➡️ '. $result['lottery_loop_3unit'].' - '. $result['lottery_loop_2unit'],
	 ]);
	return $jsonloop;
}

$ress = FilterData();
echo json_encode($ress);

